# Package org.gradle.api.initialization

@NonNullApi package org.gradle.api.initialization
Classes for managing and monitoring build initialization.

Related Packages
Package
Description
org.gradle.api
Start Here: Gradle's `Project` API, which is available from your build files.
org.gradle.api.initialization.dsl
Classes used in the initialization DSL.
Interfaces
Class
Description
ConfigurableIncludedBuild
A build that is to be included in the composite.
IncludedBuild
A build that is included in the composite.
ProjectDescriptor
A `ProjectDescriptor` declares the configuration required to create and evaluate a `Project`.
Settings
Declares the configuration required to instantiate and configure the hierarchy of `Project` instances which are to participate in a build.